{% extends 'base.html.twig' %}
{% block header_title %}Bases travail orateurs{% endblock %}
{% block header_subtitle %}Liste des orateurs et leurs souhaits de discours{% endblock %}
{% block head_content %}
    <div class="toggle-wrap nk-block-tools-toggle">
        <a href="#" class="btn btn-icon btn-trigger toggle-expand me-n1" data-target="pageMenu"><em class="icon ni ni-more-v"></em></a>
        <div class="toggle-expand-content" data-content="pageMenu">
            <ul class="nk-block-tools g-3">
                <li class="nk-block-tools-opt"><a href="{{ path('app_meeting_weekend_wishlist_create') }}" class="btn btn-primary"><em class="icon ni ni-user-add-fill"></em><span>Ajouter un frère</span></a></li>
            </ul>
        </div>
    </div>
{% endblock %}
{% block body %}
    <div class="col-xxl-12 col-sm-12 col-md-12">
        {% for message in app.flashes('success') %}
            <div class="alert alert-fill alert-icon alert-success alert-dismissible">
                <em class="icon ni ni-check-circle-fill"></em>
                {{ message }}
            </div>
        {% endfor %}
        <div class="card card-bordered card-full">
            <div class="card-inner">
                <div class="card-title-group">
                    <div class="card-title">
                        <h6 class="title"><span class="me-2">Bases de travail orateurs</span></h6>
                    </div>
                </div>
            </div>
            <div class="card-inner p-0 border-top">
                <div class="nk-tb-list nk-tb-orders">
                    <div class="nk-tb-item nk-tb-head">
                        <div class="nk-tb-col tb-col"><span>Nom</span></div>
                        <div class="nk-tb-col tb-col-md"><span>Thèmes</span></div>
                        <div class="nk-tb-col"><span>&nbsp;</span></div>
                    </div>
                    {% for wishlist in wishlists %}
                            <div class="nk-tb-item">
                                <div class="nk-tb-col">
                                    <span><a href="{{ path('app_meeting_weekend_wishlist_edit', {'id': wishlist.id}) }}">{{ wishlist.publisher.fullName }}</a></span>
                                </div>
                                <div class="nk-tb-col tb-col-md">
                                    {% for speech in wishlist.speeches %}
                                        <span class="badge bg-secondary">{{ speech.number }}</span>
                                    {% endfor %}
                                </div>
                                <div class="nk-tb-col nk-tb-col-action">
                                    <div class="dropdown">
                                        <a class="text-soft dropdown-toggle btn btn-icon btn-trigger" data-bs-toggle="dropdown"><em class="icon ni ni-more-h"></em></a>
                                        <div class="dropdown-menu dropdown-menu-end dropdown-menu-xs">
                                            <ul class="link-list-plain">
                                                <li><a href="{{ path('app_meeting_weekend_wishlist_edit', {'id': wishlist.id}) }}">Modifier</a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                    {% endfor %}
                </div>
            </div>
        </div><!-- .card -->
    </div><!-- .col -->

{% endblock %}

